[tool.poetry]
name = "machine-learning-common"
version = "0.1.1"
description = "Common files for machine learning services"
authors = ["GraphPolaris"]
license = "GNU"

[tool.poetry.dependencies]
python = "^3.10"
enum34 = "^1.1.10"
uuid = "^1.30"
python-dotenv = "^1.0.0"
networkx = "^3.1"
pika = "^1.3.2"
redis = "^5.0.1"

[tool.poetry.dev-dependencies]

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
